%global pypi_name pytest-mock
%global file_name pytest_mock

Summary:        Thin-wrapper around the mock package for easier use with py.test
Name:           python-%{pypi_name}
Version:        3.11.1
Release:        3%{?dist}
License:        MIT
URL:            https://github.com/pytest-dev/pytest-mock/
Source0:        %{pypi_source}

BuildArch:      noarch

%description
This plugin installs a mocker fixture which is a thin-wrapper around the patching API provided by
the mock package, but with the benefit of not having to worry about undoing patches at the end of a
test.

%package -n     python3-%{pypi_name}
Summary:        Thin-wrapper around the mock package for easier use with py.test

BuildRequires:  python3-devel
BuildRequires:  %py3_dist setuptools
BuildRequires:  %py3_dist pytest
BuildRequires:  %py3_dist setuptools_scm
BuildRequires:  %py3_dist pytest-asyncio

%description -n python3-%{pypi_name}
This plugin installs a mocker fixture which is a thin-wrapper around the patching API provided by
the mock package, but with the benefit of not having to worry about undoing patches at the end of a
test.

%prep
%autosetup -n %{pypi_name}-%{version} -p1
sed -i "s/import py\.code//" tests/test_pytest_mock.py

%build
%py3_build

%install
%py3_install

%check
%pytest -v tests \
  -k "not test_standalone_mock and not test_detailed_introspection and not test_detailed_introspection \
  and not test_assert_called_args_with_introspection and not test_assert_called_kwargs_with_introspection \
  and not test_plain_stopall and not test_used_with_class_scope and not est_used_with_module_scope \
  and not test_used_with_package_scope and not test_used_with_session_scope"

%files -n python3-%{pypi_name}
%license LICENSE
%doc CHANGELOG.rst README.rst
%{python3_sitelib}/%{file_name}/
%{python3_sitelib}/%{file_name}-%{version}-py%{python3_version}.egg-info/

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.11.1-3
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.11.1-2
- Rebuilt for loongarch release

* Wed Sep 27 2023 Wang Guodong <gordonwwang@tencent.com> - 3.11.1-1
- Upgrade to version 3.11.1

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.10.0-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.10.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.10.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.10.0-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Feb 10 2023 Shuo Wang <abushwang@tencent.com> - 3.10.0-1
- initial build
